services:
  app:
    build: .
    container_name: ACH_server_media_importer02
    volumes:
      - logs:/app/logs  # Add this line to map the logs volume
    env_file:
      - .env 
    environment:
      - AWS_ACCESS_KEY_I=${AWS_ACCESS_KEY_ID}
      - AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
      - AWS_REGION=${AWS_REGION}
      - AWS_ENDPOINT_URL=${AWS_ENDPOINT_URL}
      - BUCKET_NAME=${BUCKET_NAME}
      - DB_HOST=${DB_HOST}
      - DB_NAME=${DB_NAME}
      - DB_USER=${DB_USER}
      - SMTP_SERVER=${SMTP_SERVER}
      - SMTP_PORT=${SMTP_PORT}
      - SMTP_USER=${SMTP_USER}
      - SMTP_PASSWORD=${SMTP_PASSWORD}
      - SENDER_EMAIL=${SENDER_EMAIL}
      - EMAIL_RECIPIENTS=${EMAIL_RECIPIENTS}
    restart: unless-stopped
volumes:
  logs:  # Define the named volume